Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer.ooxml
Class OOXMLSignatureVerifier

    java.lang.Object
      be.fedict.eid.applet.service.signer.ooxml.OOXMLSignatureVerifier

    public class OOXMLSignatureVerifier

extends Object

Signature verifier util class for Office Open XML file format.

Implementation according to: Office Open XML - Part 2: Open Packaging Conventions - ECMA-376-2

Author:
  Frank Cornelis

Field Summary
`static String` | `DIGITAL_SIGNATURE_ORIGIN_REL_TYPE`
`static String` | `DIGITAL_SIGNATURE_REL_TYPE`
`static String[]` | `excludedStreams`

Constructor Summary
`OOXMLSignatureVerifier()`

Method Summary
`Document` | `getSignatureDocument(InputStream documentInputStream, String signatureResourceName)`
`Document` | `getSignatureDocument(URL url, String signatureResourceName)`
`List<String>` | `getSignatureResourceNames(byte[] document)`
`List<String>` | `getSignatureResourceNames(URL url)`
`List<X509Certificate>` | `getSigners(URL url)`
`static boolean` | `isOOXML(URL url)` Checks whether the file referred by the given URL is an OOXML document.
`boolean` | `isValidOOXMLSignature(XMLSignature xmlSignature, byte[] document)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIGITAL_SIGNATURE_ORIGIN_REL_TYPE

    public static final String DIGITAL_SIGNATURE_ORIGIN_REL_TYPE

See Also:
  Constant Field Values

### DIGITAL_SIGNATURE_REL_TYPE

    public static final String DIGITAL_SIGNATURE_REL_TYPE

See Also:
  Constant Field Values

### excludedStreams

    public static String[] excludedStreams

Constructor Detail

### OOXMLSignatureVerifier

    public OOXMLSignatureVerifier()

Method Detail

### isOOXML

    public static boolean isOOXML(URL url)
                           throws IOException

  Checks whether the file referred by the given URL is an OOXML document.

  Parameters:
    `url` -
  Returns:
  Throws:
    `IOException`

### getSigners

    public List<X509Certificate> getSigners(URL url)
                                     throws IOException,
                                            ParserConfigurationException,
                                            SAXException,
                                            TransformerException,
                                            MarshalException,
                                            XMLSignatureException,
                                            JAXBException

  Throws:
    `IOException`
    `ParserConfigurationException`
    `SAXException`
    `TransformerException`
    `MarshalException`
    `XMLSignatureException`
    `JAXBException`

### getSignatureDocument

    public Document getSignatureDocument(URL url,
                                         String signatureResourceName)
                                  throws IOException,
                                         ParserConfigurationException,
                                         SAXException

  Throws:
    `IOException`
    `ParserConfigurationException`
    `SAXException`

### getSignatureDocument

    public Document getSignatureDocument(InputStream documentInputStream,
                                         String signatureResourceName)
                                  throws IOException,
                                         ParserConfigurationException,
                                         SAXException

  Throws:
    `IOException`
    `ParserConfigurationException`
    `SAXException`

### getSignatureResourceNames

    public List<String> getSignatureResourceNames(byte[] document)
                                           throws IOException,
                                                  JAXBException

  Throws:
    `IOException`
    `JAXBException`

### isValidOOXMLSignature

    public boolean isValidOOXMLSignature(XMLSignature xmlSignature,
                                         byte[] document)
                                  throws IOException,
                                         TransformerException,
                                         SAXException,
                                         ParserConfigurationException

  Throws:
    `IOException`
    `TransformerException`
    `SAXException`
    `ParserConfigurationException`

### getSignatureResourceNames

    public List<String> getSignatureResourceNames(URL url)
                                           throws IOException,
                                                  ParserConfigurationException,
                                                  SAXException,
                                                  TransformerException,
                                                  JAXBException

  Throws:
    `IOException`
    `ParserConfigurationException`
    `SAXException`
    `TransformerException`
    `JAXBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.